#include <SoftwareSerial.h>

// Pins attached to the Shift Register
int latchPin = 2;
int clockPin = 1;
int dataPin = 3;
int resetPin = 0;

SoftwareSerial mySerial(10, 9); // RX, TX

void setup() {
  mySerial.begin(9600);
  
  pinMode(latchPin, OUTPUT);
  pinMode(clockPin, OUTPUT);
  pinMode(dataPin, OUTPUT);
  pinMode(resetPin, OUTPUT);
  digitalWrite(resetPin, HIGH);

}

void loop() {
  if (mySerial.available())
  {
    int displayNumber = mySerial.parseInt();
    mySerial.print("Received ");
    mySerial.println(displayNumber);
    digitalWrite(latchPin, LOW);
    shiftOut(dataPin, clockPin, MSBFIRST, displayNumber);
    digitalWrite(latchPin, HIGH);
  }
}
